IntroductionAuthenticationSelecting dataFilteringSorting & pagination

Core resources

Api requestsAttribute optionsAttributesBooking detailsBooking updatesBookingsCalendar event notesCalendar event updatesCalendar eventsCapacitiesCapacity group dependenciesCapacity groupsContact bookingsContactsCoupon productsCoupon servicesCoupon usesCouponsExternal calendarsInvoicesLine item taxesLine itemsMembersMessage eventsMessage templatesMessagesOrganization calendar logsOrganizationsPaddle plansPaddle subscriptionsPaymentsPermissionsPrice calendar entriesPricelabs pricingPricing widgetsProduct attribute optionsProduct calendar logsProduct message templatesProduct reply to addressesProduct servicesProductsRefundsReply to addressesReview productsReview widget listingsReview widgetsReviewsSeasonsServicesSite listingsSite nav itemsSite pagesSite viewsSitesTask assigneesTask template assigneesTask templatesTasksTaxesUser profilesWebhook notificationsWebhooksWidget analyticsWidget listingsWidgets

Booking flow

Query availabilitySearch availabilityBook

The line item tax object

Attributes

iduuid

Unique identifier

line_item_iduuid
line_items.id

Identifier of the related line item

tax_iduuid | null
taxes.id

Identifier of the related tax

amountinteger

Amount of the tax

nameMultiLanguageString

Name of the tax

percentagereal

Percentage of the tax

type"on-top" | "included"

Type of the tax

The line item tax object

JSON

{
  "id": "00000000-0000-0000-0000-000000000000",
  "line_item_id": "00000000-0000-0000-0000-000000000000",
  "tax_id": "00000000-0000-0000-0000-000000000000",
  "amount": 0,
  "name": {
    "default": "Hello",
    "nl-NL": "Hallo"
  },
  "percentage": 0,
  "type": "on-top"
}

List line item taxes

Filters

idFilter<uuid>

Unique identifier

line_item_idFilter<uuid>
line_items.id

Identifier of the related line item

tax_idFilter<uuid | null>
taxes.id

Identifier of the related tax

amountFilter<integer>

Amount of the tax

nameFilter<MultiLanguageString>

Name of the tax

percentageFilter<real>

Percentage of the tax

typeFilter<"on-top" | "included">

Type of the tax

Responses

200

A list of line item taxes with the selected columns

206

Partial Content

GET /line_item_taxes
curl -X GET "https://api.bookingmood.com/v1/line_item_taxes?select=*" \
  -H "Authorization: Bearer YOUR_API_KEY"

Create line item taxes

Body

Partial<LineItemTax> | Array<Partial<LineItemTax>>

Responses

201

The newly created line item taxes with the selected columns

POST /line_item_taxes
curl -X POST "https://api.bookingmood.com/v1/line_item_taxes" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '[]'

Delete line item taxes

Filters

idFilter<uuid>

Unique identifier

line_item_idFilter<uuid>
line_items.id

Identifier of the related line item

tax_idFilter<uuid | null>
taxes.id

Identifier of the related tax

amountFilter<integer>

Amount of the tax

nameFilter<MultiLanguageString>

Name of the tax

percentageFilter<real>

Percentage of the tax

typeFilter<"on-top" | "included">

Type of the tax

Responses

204

The deleted line item taxes with the selected columns

DELETE /line_item_taxes
curl -X DELETE "https://api.bookingmood.com/v1/line_item_taxes" \
  -H "Authorization: Bearer YOUR_API_KEY"

Update line item taxes

Filters

idFilter<uuid>

Unique identifier

line_item_idFilter<uuid>
line_items.id

Identifier of the related line item

tax_idFilter<uuid | null>
taxes.id

Identifier of the related tax

amountFilter<integer>

Amount of the tax

nameFilter<MultiLanguageString>

Name of the tax

percentageFilter<real>

Percentage of the tax

typeFilter<"on-top" | "included">

Type of the tax

Body

Partial<LineItemTax>

Responses

204

The updated line item taxes with the selected columns

PATCH /line_item_taxes
curl -X PATCH "https://api.bookingmood.com/v1/line_item_taxes" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{}'